Subject: Re: [PATCH] fixes for the SLB shadow buffer

From: Michael Neuling <[email-masked]>
Date: Thu, 02 Aug 2007 19:28:15 +1000

> On Thu, 2007-08-02 at 19:03 +1000, Michael Neuling wrote:
> > > 
> > > Ok, that was missing from your description :-)
> > 
> > Sorry... so ditch the barriers? 
> 
> As you like. The reason why you can ditch them is purely because you
> know for sure that the only case the firmware will access those shadows
> from another CPU is that one and it happens to be just right. What are
> the chances that in the future, FW will do something different and
> nobody will "fix" the code ?

Yep, I might chat to some PHYP guys and see what they think.

> Considering that eieios are fairly cheap and it's not a very hot code
> path as far as I can tell, I'd rather keep them.

OK.  I'll keep them in for now and submit an optimisation patch later if
need be.

Mikey